> For the complete documentation index, see [llms.txt](https://docs.harmony.one/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.harmony.one/home/developers/api/methods/staking-related-methods/hmy_getdelegationsbydelegatorandvalidator.md).

# hmy\_getDelegationsByDelegatorAndValidator

## Parameters

1. `String` - delegator bech32 address.
2. `String` - validator bech32 address.

## Returns

Array of:

* `validator_address` - `String` - validator bech32 address
* `delegator_address` - `String` - delegator bech32 address
* `amount` - `Number` - big.Int amount delegated to validator
* `reward` - `Number` - big.Int reward to validator for delegation
* `Undelegations` - `[]RPCUndelegation`:
  * `amount` - `Number` - big.Int amount returned to delegator
  * `reward` - `Number` - big.Int reward to validator

**Sample Curl Request**

```bash
curl -d '{
    "jsonrpc":"2.0",
    "method":"hmy_getDelegationsByDelegatorAndValidator",
    "params":[
      "one1km7xg8e3xjys7azp9f4xp8hkw79vm2h3f2lade",
      "one129r9pj3sk0re76f7zs3qz92rggmdgjhtwge62k"
    ],
    "id":1
}' -H 'Content-Type:application/json' -X POST 'https://api.s0.b.hmny.io'
```

**Sample Curl Response**

```bash
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": [
        {
            "validator_address": "one1km7xg8e3xjys7azp9f4xp8hkw79vm2h3f2lade",
            "delegator_address": "one129r9pj3sk0re76f7zs3qz92rggmdgjhtwge62k",
            "amount": 9899000000000000000000,
            "reward": 2474220695683427208655,
            "Undelegations": []
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.harmony.one/home/developers/api/methods/staking-related-methods/hmy_getdelegationsbydelegatorandvalidator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
